﻿@using Portal.Models.DCLScreen;
@using System.Web.Mvc;
@using System.Web.UI.WebControls;
@using System.Data;
@using Portal.Controllers;



@model Toyota.Common.Web.MVC.ModelHolder
                       
@{     
    Layout = "~/Views/Layout/Dashboard.cshtml";
    
}

@* wot.dwi 08/11/2012  *@ 

@section SlidingLeftPaneContent {
    @Html.Partial("PartialLegend")
}
@section SlidingBottomPaneContent {
    @Html.DevExpress().TextBox(
        settings => {
            settings.Name = "txtContent";
            settings.Height = 100;
            settings.Width = System.Web.UI.WebControls.Unit.Percentage(100);
        }).GetHtml()
}



@section Script {
   
   
    function OnLPCodeSelected(s,e) {
        for(i=0;i<5;i++){

            if(LPCode.GetValue() == "MML"+i)
            {
                LPName.SetText("MITRA MANDIRI LOGISTIK "+i);
            }
         }
    } 

    var currDate1;
    var currDate;

    function OnHyperLinkClick(date) {
        
        currDate = date;
        gridDCLScreenDetail.PerformCallback();
            
        }

        function OnDetailGridBeginCallback(s, e) {
            e.customArgs["Date"] = currDate;
        }
        function OnDetailGridEndCallback(s, e) {
            if (!popupDetail.IsVisible())
                popupDetail.Show();
        }

    function OnHyperLinkClickAdditonal(date) {
        
        currDateAdditional = date;
        gridDCLScreenDetailAdditional.PerformCallback();
            
        }

        function OnDetailGridBeginCallbackAdditonal(s, e) {
            e.customArgs["Date"] = currDateAdditional;
        }
        function OnDetailGridEndCallbackAdditional(s, e) {
            if (!popupDetailAdditional.IsVisible())
                popupDetailAdditional.Show();
        }
        
}
 @Html.DevExpress().PopupControl(settings => {
        settings.Name = "popupDetail";
        settings.Width = System.Web.UI.WebControls.Unit.Percentage(80);
        settings.Height = System.Web.UI.WebControls.Unit.Percentage(100);
        settings.ShowHeader = true;
        settings.Modal = true;
        settings.HeaderText = "";
        settings.SetContent(() => {
            @Html.DevExpress().RoundPanel(
                                 settingse =>
                                 {
                                     settingse.Name = "frmHeaderDetail3";
                                     //settingse.HeaderText = "Scan Barcode";

                                     settingse.ShowHeader = true;
                                     settingse.HeaderText = "Order Detail";
                                     settingse.View = DevExpress.Web.ASPxRoundPanel.View.GroupBox;
                                     settingse.ContentHeight = Unit.Pixel(50);
                                     settingse.SetContent(() =>
                                     {
                                         //Html.RenderAction("PartialHeader", "DCLReceiving");
                                         Html.RenderPartial("DCLScreenDetail", Model);
                                     });
                                 }).GetHtml();
            

             ViewContext.Writer.Write(
             "<div style=height:8px;></div>"
             );
            
            Html.RenderPartial("DCLScreenDetailGrid", Model);
        });
    }).GetHtml()

    
    @Html.DevExpress().PopupControl(settings => {
        settings.Name = "popupDetailAdditional";
        settings.Width = System.Web.UI.WebControls.Unit.Percentage(80);
        settings.Height = System.Web.UI.WebControls.Unit.Percentage(100);
        settings.ShowHeader = true;
        settings.Modal = true;
        settings.HeaderText = "";
        settings.SetContent(() => {
            @Html.DevExpress().RoundPanel(
                                 settingse =>
                                 {
                                     settingse.Name = "frmHeaderDetail4";
                                     //settingse.HeaderText = "Scan Barcode";

                                     settingse.ShowHeader = true;
                                     settingse.HeaderText = "Order Detail";
                                     settingse.View = DevExpress.Web.ASPxRoundPanel.View.GroupBox;
                                     settingse.ContentHeight = Unit.Pixel(50);
                                     settingse.SetContent(() =>
                                     {
                                         //Html.RenderAction("PartialHeader", "DCLReceiving");
                                         Html.RenderPartial("DCLScreenDetailAdditional", Model);
                                     });
                                 }).GetHtml();
            

             ViewContext.Writer.Write(
             "<div style=height:8px;></div>"
             );
            
            Html.RenderPartial("DCLScreenDetailAdditionalGrid", Model);
        });
    }).GetHtml()
   

<link href = "@Url.Content("~/Content/Style/DailyOrder.css")" rel = "stylesheet" type = "type/css" />    


<div style="padding:0px; padding-right:0px; padding-bottom:8px"> 
    <table>
        <tr>
            @Html.DevExpress().RoundPanel(
                        settings =>
                        {
                            settings.Name = "frmHeader";
                            settings.HeaderText = "Regular Driver";
                            settings.ShowHeader = true;
                            settings.View = DevExpress.Web.ASPxRoundPanel.View.GroupBox;
                            //settings.Width = Unit.Percentage(100);
                            settings.SetContent(() =>
                            {
                                Html.RenderAction("DCLScreenHeader", "DCLScreen");
                            });
                    }).GetHtml()  
        </tr>
    </table>
    <div style="height:8px;"></div>
     @*<table border="0">*@
               <tr>  
                    <td>
                        @Html.DevExpress().PageControl(
                        settings =>
                        {
                            settings.Name = "TabOrder";
                            settings.Width = Unit.Percentage(100);
                            settings.Height = Unit.Percentage(100);
                            settings.TabPages.Add("Regular Driver").SetContent(() =>
                            {
                                Html.RenderAction("DCLScreenMaster", Model);
                            });
                            
                            settings.TabPages.Add("Additional Driver").SetContent(() =>
                            {
                                Html.RenderAction("DCLScreenAddMaster", Model);
                            
                            });

                        }).GetHtml()
                    </td>
               </tr>
        @*</table>*@
        <div style="clear:both"></div>
 </div>

